Changes

From XDSwiki
Jump to navigationJump to search
226 bytes removed ,  9 September
m
Line 152: Line 152:  
==== Libraries and software that the program depends on ====
 
==== Libraries and software that the program depends on ====
   −
If on Linux you get an error message like
+
Procedures for identifying and installing missing libraries are given in the [[Installation]] article.
xdsgui: error while loading shared libraries: libQtGui.so.4: cannot open shared object file: No such file or directory
  −
or similar for libQtCore.so.4 or libQtOpenGL.so.4 , you may rather want to install the Qt5 version which is now the default on Linux.
     −
Procedures for identifying and installing missing libraries are shown in the [[Installation#tools_and_helper_programs_for_generate_XDS.INP_and_XDSGUI.2C_and_libraries|Installation]] article.
+
On the '''Mac''' (e.g. Yosemite) one needs the (free) [https://itunes.apple.com/us/app/xcode/id497799835?ls=1&mt=12 Xcode] command line tools installed.
   −
On the '''Mac''' (e.g. Yosemite) one needs the (free) [https://itunes.apple.com/us/app/xcode/id497799835?ls=1&mt=12 Xcode] command line tools installed. Otherwise one may obtain a popup error like “You can’t open the application because it is not supported on this type of Mac.
+
If on '''Linux''' you get an error message like
 +
xdsgui: error while loading shared libraries: libQtGui.so.4: cannot open shared object file: No such file or directory
 +
or similar for libQtCore.so.4 or libQtOpenGL.so.4 , you should install the Qt5 version which is now the default on Linux.
    
== Known bugs, problems and workarounds ==
 
== Known bugs, problems and workarounds ==
2,450

edits

Cookies help us deliver our services. By using our services, you agree to our use of cookies.

Navigation menu